package es.uv.saic.dto;

import es.uv.saic.domain.Tasca;
import es.uv.saic.domain.Tipus;

public class TascaDTO {
    private Integer idTasca;
    private String codiEvidencia;
    private Integer tipus;
    private String nomEvidenciaCas;
    private String opcions;
    private String nomRol;

    public TascaDTO() {
    }

    public TascaDTO(Integer idTasca, String codiEvidencia, Tipus tipus, String nomEvidenciaCas, String opcions, String nomRol) {
        this.idTasca = idTasca;
        this.codiEvidencia = codiEvidencia;
        this.tipus = tipus.getTipus();
        this.nomEvidenciaCas = nomEvidenciaCas;
        this.opcions = opcions;
        this.nomRol = nomRol;
    }

    public TascaDTO(Tasca tasca) {
        this.idTasca = tasca.getIdTasca();
        this.codiEvidencia = tasca.getCodiEvidencia();
        this.tipus = tasca.getTipus().getTipus();
        this.nomEvidenciaCas = tasca.getNomEvidenciaCas();
        this.opcions = tasca.getOpcions();
        this.nomRol = tasca.getRol().getNomRol();
    }

    public Integer getIdTasca() {
        return idTasca;
    }

    public void setIdTasca(Integer idTasca) {
        this.idTasca = idTasca;
    }

    public String getCodiEvidencia() {
        return codiEvidencia;
    }

    public void setCodiEvidencia(String codiEvidencia) {
        this.codiEvidencia = codiEvidencia;
    }

    public Integer getTipus() {
        return tipus;
    }
    
    public void setTipus(Integer tipus) {
        this.tipus = tipus;
    }

    public String getNomEvidenciaCas() {
        return nomEvidenciaCas;
    }

    public void setNomEvidenciaCas(String nomEvidenciaCas) {
        this.nomEvidenciaCas = nomEvidenciaCas;
    }

    public String getOpcions() {
        return opcions;
    }

    public void setOpcions(String opcions) {
        this.opcions = opcions;
    }

    public String getNomRol() {
        return nomRol;
    }

    public void setNomRol(String nomRol) {
        this.nomRol = nomRol;
    }
}
